For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Modify an existing open limit order or TPSL order by changing its
`price`, `size`, and/or `trigger_price`.
For untriggered TPSL orders, you can modify `trigger_price`,
`price` (limit orders only), and `size`.
Once a TPSL limit order triggers you can modify its `price` and `size`
just like a regular limit order,
but the `trigger_price` is no longer modifiable.
TPSL market orders execute immediately when triggered and
cannot be modified afterwards.
The modified order maintains its original order ID.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
order_idstringRequired
Order Id
Request
Modify Order Request
idstringRequired
Order ID to be modified
marketstringRequired
Market for which order is modified
pricestringRequired
Existing or modified price of the order
sidestringRequired
Existing side of the order
signaturestringRequired
Order signature in as a string “[r,s]” signed by account’s paradex private key
signature_timestampintegerRequired
Unix timestamp in milliseconds of order creation, used for signature verification
sizestringRequired
Existing or modified size of the order
typestringRequired
Existing type of the order
on_behalf_of_accountstringOptional
ID corresponding to the configured isolated margin account. Only for isolated margin orders
trigger_pricestringOptional
Existing or modified trigger price of a TPSL order
Response
OK
accountstringOptional
Paradex Account
avg_fill_pricestringOptional
Average fill price of the order
cancel_reasonstringOptional
Reason for order cancellation if it was closed by cancel
client_idstringOptional
Client order id provided by the client at order creation
created_atintegerOptional
Order creation time
flagslist of enumsOptional
Order flags, allow flag: REDUCE_ONLY
Allowed values:
idstringOptional
Unique order identifier generated by Paradex
instructionenumOptional
Execution instruction for order matching
Allowed values:
last_updated_atintegerOptional
Order last update time. No changes once status=CLOSED
marketstringOptional
Market
pricestringOptional
Order price. 0 for MARKET orders
published_atintegerOptional
Timestamp in milliseconds when order was sent to the client
received_atintegerOptional
Timestamp in milliseconds when order was received by API service
remaining_sizestringOptional
Remaining size of the order
request_infoobjectOptional
Additional request information for orders
seq_nointegerOptional
Unique increasing number (non-sequential) that is assigned to this order update and changes on every order update. Can be used to deduplicate multiple feeds. WebSocket and REST responses use independently generated seq_no per event.
sideenumOptional
Order side
Allowed values:
sizestringOptional
Order size
statusenumOptional
Order status
Allowed values:
stpenumOptional
Self Trade Prevention mode
Allowed values:
timestampintegerOptional
Order signature timestamp
trigger_pricestringOptional
Trigger price for stop order
typeenumOptional
Order type
Errors
400
Bad Request Error
Modify an existing open limit order or TPSL order by changing its
price, size, and/or trigger_price.
For untriggered TPSL orders, you can modify trigger_price,
price (limit orders only), and size.
Once a TPSL limit order triggers you can modify its price and size
just like a regular limit order,
but the trigger_price is no longer modifiable.
TPSL market orders execute immediately when triggered and
cannot be modified afterwards.
The modified order maintains its original order ID.